Subject: bug#71911: closed (Re: [bug#71911] [PATCH] gnu: mesa: Update to 24.0.9.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 07 Sep 2024 01:16:02 +0000

Your bug report

#71911: [PATCH] gnu: mesa: Update to 24.0.9.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
71911: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=71911
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#71911] [PATCH] gnu: mesa: Update to 24.0.9.
From: John Kehayias <[email-masked]>
To: Nguyễn Gia Phong <[email-masked]>
Cc: [email-masked]
Date: Sat, 07 Sep 2024 01:15:15 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

On Wed, Jul 03, 2024 at 03:47 PM, Nguyễn Gia Phong wrote:

> * gnu/packages/gl.scm (mesa): Update to 24.0.9.
>
> Change-Id: I5b0cdf8a38557282377e1c3cecdfd0b3604cb122
> ---
> I mainly want the new Xe KMD from 24.0.5.  24.0.9 built alright locally
> and tests passed, but I haven't figured out how to test it in
> guix system reconfigure.

Apologies that I missed this when it was sent. I now have mesa 24.2.2 on
the mesa-updates branch. Substitutes are being built, but if you are on
x86_64 it is getting close already, if you want to pull from there.

Please follow up on https://issues.guix.gnu.org/73071 where I'm tracking
that set of changes.

Thanks!
John

>  gnu/packages/gl.scm | 6 +++---
>  1 file changed, 3 insertions(+), 3 deletions(-)
>
> diff --git a/gnu/packages/gl.scm b/gnu/packages/gl.scm
> index 2100bb4872e4..1394e5787189 100644
> --- a/gnu/packages/gl.scm
> +++ b/gnu/packages/gl.scm
> @@ -20,6 +20,7 @@
>  ;;; Copyright © 2023 Kaelyn Takata <[email-masked]>
>  ;;; Copyright © 2023, 2024 Zheng Junjie <[email-masked]>
>  ;;; Copyright © 2024 Liliana Marie Prikler <[email-masked]>
> +;;; Copyright © 2024 Nguyễn Gia Phong <[email-masked]>
>  ;;;
>  ;;; This file is part of GNU Guix.
>  ;;;
> @@ -297,7 +298,7 @@ (define libva-without-mesa
>  (define-public mesa
>    (package
>      (name "mesa")
> -    (version "24.0.4")
> +    (version "24.0.9")
>      (source
>       (origin
>         (method url-fetch)
> @@ -306,8 +307,7 @@ (define-public mesa
>                    (string-append "ftp://ftp.freedesktop.org/pub/mesa/"
>                                   "mesa-" version ".tar.xz")))
>         (sha256
> -        (base32
> -         "1w25lwdrb0ffrx2fjk9izbvpcgf9ypfc7v32zybwvjwql0qbvzlh"))))
> +        (base32 "0k6ahbamq9icgznlc6a1mxmm3apgy74613wy39qkh3h6lin6iaji"))))
>      (build-system meson-build-system)
>      (propagated-inputs
>       ;; The following are in the Requires.private field of gl.pc.
>
> base-commit: 4b3a553ca5ba5ac190739309eb5f7aa8170cf2a8

Subject: [PATCH] gnu: mesa: Update to 24.0.9.
From: Nguyễn Gia Phong <[email-masked]>
To: [email-masked]
Cc: Nguyễn Gia Phong <[email-masked]>
Date: Wed, 3 Jul 2024 15:47:48 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/gl.scm (mesa): Update to 24.0.9.

Change-Id: I5b0cdf8a38557282377e1c3cecdfd0b3604cb122
---
I mainly want the new Xe KMD from 24.0.5.  24.0.9 built alright locally
and tests passed, but I haven't figured out how to test it in
guix system reconfigure.
 gnu/packages/gl.scm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/gl.scm b/gnu/packages/gl.scm
index 2100bb4872e4..1394e5787189 100644
--- a/gnu/packages/gl.scm
+++ b/gnu/packages/gl.scm
@@ -20,6 +20,7 @@
 ;;; Copyright © 2023 Kaelyn Takata <[email-masked]>
 ;;; Copyright © 2023, 2024 Zheng Junjie <[email-masked]>
 ;;; Copyright © 2024 Liliana Marie Prikler <[email-masked]>
+;;; Copyright © 2024 Nguyễn Gia Phong <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -297,7 +298,7 @@ (define libva-without-mesa
 (define-public mesa
   (package
     (name "mesa")
-    (version "24.0.4")
+    (version "24.0.9")
     (source
      (origin
        (method url-fetch)
@@ -306,8 +307,7 @@ (define-public mesa
                   (string-append "ftp://ftp.freedesktop.org/pub/mesa/"
                                  "mesa-" version ".tar.xz")))
        (sha256
-        (base32
-         "1w25lwdrb0ffrx2fjk9izbvpcgf9ypfc7v32zybwvjwql0qbvzlh"))))
+        (base32 "0k6ahbamq9icgznlc6a1mxmm3apgy74613wy39qkh3h6lin6iaji"))))
     (build-system meson-build-system)
     (propagated-inputs
      ;; The following are in the Requires.private field of gl.pc.

base-commit: 4b3a553ca5ba5ac190739309eb5f7aa8170cf2a8
-- 
2.45.2